Subject: Re: bug#52973: Adding a few context-menu-mode commands

From: Juri Linkov <[email-masked]>
Date: Thu, 06 Jan 2022 22:03:01 +0200

>>>> Maybe then a better place to add new functions would be in
>>>> lisp/net/webjump.el.  webjump is a package created exactly
>>>> for this purpose.  Then new functions could share the same
>>>> prefix webjump-.
>>>
>>> I didn't know about webjump, thank you for the hint.  My only fear is
>>> that the prefix would make the functionality harder to discover.
>>
>> The fact that its name starts with the word "web" improves
>> discoverability.
>
> How is this?

Thanks, everything looks consistent.  If no one will have more comments
during the next few days, it seems safe to assume it's ok to push.

> While I agree that web helps, I think a search-online defalias for
> webjump-search would be appreciated when looking for commands via
> apropos.

Typing 'M-x search- TAB' shows:

  search-backward
  search-backward-regexp
  search-emacs-glossary
  search-forward
  search-forward-help-for-help
  search-forward-regexp
  search-text-property
  search-unencodable-char

I don't know if 'search-online' could be added here too.
We need more opinions.